Home

# Class goog.ui.OfflineInstallDialogScreen

Represents a screen on the dialog. You can create new screens and add them to the offline install dialog by calling registerScreenType and setCurrentScreenType.

extends goog.Disposable

Instance Method Summary
| `activate()` Called when the screen is shown. At this point the dialog is in the document.
| `deactivate()` Called when the screen is hidden. At this point the dialog is in the document.
| `getButtonSet() ⇒ ?goog.ui.Dialog.ButtonSet`
| `getContent() ⇒ string`
| `getCustomClassName() ⇒ string`
| `getDialog() ⇒ ?goog.ui.OfflineInstallDialog`
| `getTitle() ⇒ string`
| `getType() ⇒ string` Returns the type of the screen. This is used to identify the screen type this reflects.
| `handleSelect(?goog.ui.Dialog.Event e)` Called when the user clicks any of the buttons for this dialog screen.
| `setButtonSet(?goog.ui.Dialog.ButtonSet bs)` Sets the button set to use with this screen.
| `setContent(string html)` Sets the HTML content to use for this screen.
| `setCustomClassName(string customClassName)` Sets the custom class name that should be added to the dialog when this screen is active.
| `setTitle(string title)` Sets the plain text title to use for this screen.